(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2013-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: wire_types.mli,v 1.1 2014-02-06 18:26:31 fclement Exp $ *)

type size = Unatural.t * Unatural.t;;
type dimension = Unatural.t;;

type partition = Unatural.t Umatrix.t;;

type data = float Umatrix.t;;
type parameter = data;;
type fine_parameter = parameter;;

type cost = float;;
type fine_gradient = fine_parameter;;

type coarse_parameter = float array array;;
